interactions:
- request:
    body: '{"target_branch": "master", "title": "Test Merge Request", "assignee_ids":
      [7312977], "reviewer_ids": [7312977], "labels": "", "description": "This is
      a test merge request", "state_event": "close", "remove_source_branch": true,
      "squash": false}'
    headers:
      accept:
      - application/json
      content-length:
      - '244'
      content-type:
      - application/json; charset=utf-8
    method: PUT
    uri: https://gitlab.com/api/v4/projects/22408582/merge_requests/16
  response:
    body:
      string: '{"id":133369256,"iid":16,"project_id":22408582,"title":"Test Merge
        Request","description":"This is a test merge request","state":"closed","created_at":"2022-01-02T13:56:06.440Z","updated_at":"2022-01-02T14:44:12.554Z","merged_by":null,"merged_at":null,"closed_by":{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"},"closed_at":"2022-01-02T14:08:59.943Z","target_branch":"master","source_branch":"mr_test","user_notes_count":0,"upvotes":0,"downvotes":0,"author":{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"},"assignees":[{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"}],"assignee":{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"},"reviewers":[{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"}],"source_project_id":22408582,"target_project_id":22408582,"labels":[],"draft":false,"work_in_progress":false,"milestone":null,"merge_when_pipeline_succeeds":false,"merge_status":"cannot_be_merged","sha":"4329ce4c28954da908a0771ee799a62b3c536867","merge_commit_sha":null,"squash_commit_sha":null,"discussion_locked":null,"should_remove_source_branch":null,"force_remove_source_branch":true,"reference":"!16","references":{"short":"!16","relative":"!16","full":"diogoregateiro/cicd-test!16"},"web_url":"https://gitlab.com/diogoregateiro/cicd-test/-/merge_requests/16","time_stats":{"time_estimate":0,"total_time_spent":0,"human_time_estimate":null,"human_total_time_spent":null},"squash":false,"task_completion_status":{"count":0,"completed_count":0},"has_conflicts":true,"blocking_discussions_resolved":true,"approvals_before_merge":1,"subscribed":true,"changes_count":null,"latest_build_started_at":null,"latest_build_finished_at":null,"first_deployed_to_production_at":null,"pipeline":null,"head_pipeline":{"id":440030281,"iid":11,"project_id":22408582,"sha":"4329ce4c28954da908a0771ee799a62b3c536867","ref":"mr_test","status":"success","source":"push","created_at":"2022-01-02T13:54:38.067Z","updated_at":"2022-01-02T13:55:42.625Z","web_url":"https://gitlab.com/diogoregateiro/cicd-test/-/pipelines/440030281","before_sha":"0000000000000000000000000000000000000000","tag":false,"yaml_errors":null,"user":{"id":7312977,"username":"diogoregateiro","name":"Diogo
        Regateiro","state":"active","avatar_url":"https://gitlab.com/uploads/-/system/user/avatar/7312977/avatar.png","web_url":"https://gitlab.com/diogoregateiro"},"started_at":"2022-01-02T13:54:38.660Z","finished_at":"2022-01-02T13:55:42.618Z","committed_at":null,"duration":62,"queued_duration":null,"coverage":null,"detailed_status":{"icon":"status_success","text":"passed","label":"passed","group":"success","tooltip":"passed","has_details":true,"details_path":"/diogoregateiro/cicd-test/-/pipelines/440030281","illustration":null,"favicon":"/assets/ci_favicons/favicon_status_success-8451333011eee8ce9f2ab25dc487fe24a8758c694827a582f17f42b0a90446a2.png"}},"diff_refs":{"base_sha":"4329ce4c28954da908a0771ee799a62b3c536867","head_sha":"4329ce4c28954da908a0771ee799a62b3c536867","start_sha":"4329ce4c28954da908a0771ee799a62b3c536867"},"merge_error":null,"user":{"can_merge":true}}'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6c861d354c2bda66-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Tue, 04 Jan 2022 17:16:21 GMT
      Etag:
      - W/"b0714eceee861c44d26250cd61273003"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-09-lb-gprd
      GitLab-SV:
      - localhost
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '6'
      RateLimit-Remaining:
      - '1994'
      RateLimit-Reset:
      - '1641316641'
      RateLimit-ResetTime:
      - Tue, 04 Jan 2022 17:17:21 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=4SIFeu3xqufEpdQXPCVy%2Bgcccxyyfd%2FiIcrsM6%2FcnORnpDffAqh%2FJ%2FZbl539aGTg0XTJAsM7qYCPLvQM9ESj%2BeJzLPwbM72cxCj8Jg0o9ZeUKWHLHvTeu%2Fb2ck8%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Request-Id:
      - 01FRK1EZE29ES08B7E431X0XXD
      X-Runtime:
      - '0.234013'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22408582/merge_requests/16
version: 1
